<!--
  Generated template for the AgendaDetailPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="haldin-header" hideBackButton="true">
    <ion-buttons left>
      <button ion-button icon-only (click)="goBack()">
        <ion-icon name="arrow-back"></ion-icon>
      </button>
    </ion-buttons>
    <ion-title>
     <h3 style="margin-right: auto; margin-left: auto;"><span class="font-color-green">detail </span><span class="font-color-blue">agenda</span></h3>
    </ion-title>
  </ion-navbar>

</ion-header>


<ion-content>
<form (submit)="simpan_detail()">
    <div class="card" *ngFor="let item of detail_item">
		<div class="card-body">
			<div class="d-lfex justify-content-center flex-column" style="text-align: center;">
				<b><h2 text-wrap>{{item.judul_agenda}}</h2></b>
				<p> <span class="font-color-blue"> {{item.tanggal_mulai | date: 'dd-MM-yyyy'}} </span></p>
				<p><span class="font-color-green">{{item.jam}}</span></p>
				<ion-textarea [auto-resize-textarea]="30" [innerHTML]=item.keterangan></ion-textarea>
				<ion-input type="hidden" [(ngModel)]="regData.agenda_id" name="agenda_id" clearInput=true></ion-input>
			</div>
			<div class="profile-block">
				<ul class="nav nav-pills nav-stacked">
					<li>
						<a> 
							<span class="font-color-black">
								<div *ngIf="item.status_folowup !='0'">
									<div *ngIf="item.status_folowup =='1'">
										<b> Status Follow Up : Done </b>
									</div>
								
									<div *ngIf="item.status_folowup =='2'">
										<b> Status Follow Up : Cancel </b>
									</div>	
								</div>
							</span>
						</a>
					</li> 
					
					<!-- <div *ngIf="item.status_folowup =='0'"> -->
					<li>
						<ion-item class="lista">
							 <ion-label>Status Follow Up *</ion-label>
							<ion-select [(ngModel)]="regData.status_folowup" name="status_folowup">
								<ion-option value="1">Done</ion-option>
								<ion-option value="2">Cancel</ion-option>
							</ion-select>
						</ion-item>

					</li>
					
					<!-- </div> -->
				</ul>
			</div>
		</div>
	   <div class="card-footer">
			<div class="view_profile">
				<span *ngIf="item.status_folowup=='0'">
					<span *ngIf="item.sts_fw ==''">
						<button type="submit" style="background-color: #72a257; color:#fff;">SIMPAN</button>
					</span>
				</span>
				<span *ngIf="item.status_folowup=='0'">
					<span *ngIf="item.sts_fw !=''">
						<b style="color : #d7d4d4;">SIMPAN</b>
					</span>
				</span>
				<span *ngIf="item.status_folowup !='0'">
					<b style="color : #d7d4d4;">SIMPAN</b>
				</span>
			</div>		
		</div> 
    </div>
</form>
</ion-content>
